PLSMEM(3)

NAME
plsmem - Set the memory area to be plotted

SYNOPSIS
plsmem(maxx, maxy, plotmem)

DESCRIPTION

Set the memory area to be plotted (with the mem driver) as the dev member of the stream structure. Also set the number of pixels in the memory passed in plotmem, which is a block of memory maxy by maxx by 3 bytes long, say: 480 x 640 x 3 (Y, X, RGB)

This memory will have to be freed by the user!

ARGUMENTS

maxx (PLINT, input)
    Size of memory area in the X coordinate.

maxy (PLINT, input)
    Size of memory area in the Y coordinate.

plotmem (void *, input)
    Pointer to the beginning of the user-supplied memory area.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.